name: neoroo
description: The NeoRoo app connects the NeoWarm sensor and provides real-time updates to nurses and caregivers about kangaroo mother care metrics.
applicationId: io.librehealth.mhbs.neoroo

# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.0.0+1

environment:
  sdk: ">=2.17.1 <4.0.0" #Changed to allow SDK version 3.x

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.2
  http: ^1.2.2 # Updated to the latest version
  equatable: ^2.0.3
  hive: ^2.2.2
  hive_flutter: ^1.1.0
  flutter_bloc: ^8.0.1
  modal_progress_hud_nsn: ^0.5.1 # Updated to the latest version
  #persistent_bottom_nav_bar: ^4.0.2
  intl: ^0.19.0
  dartz: ^0.10.1
  font_awesome_flutter: ^10.1.0
  local_auth: ^2.1.0
  mockito: ^5.2.0
  image_picker: ^1.0.0 # Updated to the latest version
  flutter_secure_storage: ^9.2.2 # Updated to the latest version
  video_player: ^2.7.0
  url_launcher: any # Added dependency without version constraint
  persistent_bottom_nav_bar_v2: ^5.2.3
  mobile_scanner: ^6.0.1
  qr_flutter: ^4.1.0
  syncfusion_flutter_charts: ^27.1.51 # Updated to the latest version
  el_tooltip: ^2.2.1 # Updated to the latest version
  table_calendar: ^3.0.9
  toggle_switch: ^2.1.0
  youtube_player_flutter: ^9.0.4 # Upgraded from ^8.1.2 #but can't upgrade to the latest version (v9.1.1) because of the error
  audioplayers: ^6.1.0 # Updated to the latest version
  flutter_blue_plus: ^1.5.2 # Updated to the latest version
  permission_handler: ^11.3.1
  location: ^7.0.0 # Updated to the latest version!

dev_dependencies:
  flutter_test:
    sdk: flutter
  hive_generator: ^2.0.0
  build_runner: ^2.1.11

  # The "flutter_lints" package below contains a set of recommended lints to
  # encourage good coding practices. The lint set provided by the package is
  # activated in the `analysis_options.yaml` file located at the root of your
  # package. See that file for information about deactivating specific lint
  # rules and activating additional ones.
  flutter_lints: ^5.0.0 # Updated to the latest versio
  bloc_test: ^9.0.3

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter packages.
flutter:
  generate: true

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  # assets:
  #   - images/a_dot_burr.jpeg
  #   - images/a_dot_ham.jpeg
  assets:
    - assets/
    - assets/images/

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  fonts:
    - family: Open Sans
      fonts:
        - asset: fonts/OpenSans-VariableFont_wdth,wght.ttf 
    - family: Lato
      fonts:
        - asset: fonts/Lato-Regular.ttf # the backslash in the path for fonts/Lato-Regular.ttf was changed to a forward slash for compatibility.
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
